---
title: "Create a PY Employee Pay Split"
slug: "create-a-py-employee-pay-split"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/create-a-py-employee-pay-split"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a PY Employee Pay Split

Post/hcm-rest-api/rest/1/pyempsalspl

## Create Employee Pay Splits

UI Location: Human Capital Management - US Payroll - Setup - Employees - Direct Deposit and Check Accounts

### 

SecurityHTTPType basic

Basic authentication

Header parametersContent-TypestringExampleapplication/vnd.oracle.adf.resourceItem+json

Body parameters<select class='api-response-data' aria-label='Media type'><option value='27e900fe-73bf-41ae-b398-f7f83f7c6e53'>application/json</option>
</select>object  Example{
  "EssCompCode": "001",
  "EssEmpNo": "1010",
  "EssBankCode": "BOA",
  "EssSplitNumber": "4",
  "EssLastUpdDate": "2022-05-20T10:23:45-04:00",
  "EssUser": "ADWAIT",
  "EssVUuid": ""
}EssBankCodestring    Required

Bank Code - If Direct Deposit, this must be a valid bank code already set up in CMiC.

💻 UI Fieldname: Bank

Max length9
EssCompCodestring    Required

Company Code

Max length8
EssVUuidstring    Required

Unique uuid of row

Max length64
EssUserstring    Required

Userwho last updated this record.

Max length30
EssSplitNumbernumber    Required

Priority - Prioritize each detail line by employee. (Use 1,2,3, etc.). Each Company/Employee/Priority number combination must be unique. The amounts will be calculated in priority sequence.

💻 UI Fieldname: * Priority

Max length3
EssLastUpdDatestring    Required

Date when the record was last updated.

EssEmpNostring    Required

Employee Code - Must be valid employee already set up in CMiC.

Max length16
EssTranCodestring    

Transaction Code Corresponding To The Transaction Type. Can Either Be A Benefit, Leave Or Expense Code. ALL is a valid option. ALL means all benefit, leave and expense codes. Can Only Be Populated If ess_split_method IS NULL And The ess_tran_type IS NOT NULL

💻 UI Fieldname: Tran Code

Max length4
EssRowidstring    
EssBankAccNumberstring    

Bank Account Number - If Direct Deposit, this is the employee's actual bank account number.

Max length34
EssSplitTypestring    

Split Type 'D' - Direct Deposit 'C' - Check

💻 UI Fieldname: * Split Type

Max length1
EssAchTranCodestring    

ACH Transaction Code - If Direct Deposit, this must be a valid “Normal†ACH Tran Code already set up in CMiC.

Max length2
EssEmpSalSplitTypestring    

Methodof Salary Deposit - This determines how you will be splitting pay amounts if you choose to do so. 'P' - Percentage split 'F' - Flat Amount split

Max length1
EssSplitPercentnumber    

Percentage/Flat Amount - If the Method of Salary Deposit (ESS_EMP_SAL_SPLIT_TYPE) is 'P' for Percentage then you must enter the split percentage into this field. If using percentages, the percentages must add up to 100%. If the split type is 'F' for Flat Amount, then you must enter the amount into this field. If Split Method (ESS_SPLIT_METHOD) is 'A' for Advanced, leave this field null.

💻 UI Fieldname: Percent/ Flat Amount

Max length10
EssTranTypestring    

Transaction Type. Can Only Be Either Of The Following: BN - Benefit, LE - Leaves Or EX - Expense. ALL is a valid option. ALL means all benefits, leaves and expenses. Can Only Be Populated If ess_split_method IS NULL.

💻 UI Fieldname: Tran Type

Max length3
DiscriminatorCodestring    
EssSplitMethodstring    

Split Method. Valid Values Are (A)dvanced and (B)asic. Advanced Means ess_tran_type And ess_tran_code Must Be Filled In. Basic Means ess_tran_type and ess_tran_code Are Not Available.

💻 UI Fieldname: * Split Method

Max length1
EssNormTranCodestring    Max length1
EssTenantIdstring    

Tenant ID, Leave Blank

Max length30
EssBranchCodestring    

Bank Branch Code - If Direct Deposit, this must be a valid bank branch code already set up in CMiC.

💻 UI Fieldname: Branch

Max length5
EssPrenoteCntnumber    

Pre-Note Count - Enter a zero '0' for this field.

Responses201

Created

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourceitem+json
<select class='api-response-data' aria-label='Media type'><option value='1783380d-382e-4f5e-aba6-3fe0c90622fc'>application/json</option>
</select>

```json
{
  "EssCompCode": "001",
  "EssEmpNo": "1010",
  "EssSplitNumber": 4,
  "EssSplitType": null,
  "EssBankAccNumber": null,
  "EssBankCode": "BOA",
  "EssBranchCode": null,
  "EssSplitPercent": null,
  "EssUser": "ADWAIT",
  "EssLastUpdDate": "2022-05-20T14:23:45Z",
  "EssAchTranCode": null,
  "EssPrenoteCnt": null,
  "EssEmpSalSplitType": null,
  "EssSplitMethod": null,
  "EssTranType": null,
  "EssTranCode": null,
  "EssNormTranCode": null,
  "EssVUuid": "F2A4A14B8AAC7A24E05316821FACC292",
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/pyempsalspl/F2A4A14B8AAC7A24E05316821FACC292",
      "name": "pyempsalspl",
      "kind": "item"
    },
    {
      "rel": "canonical",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/pyempsalspl/F2A4A14B8AAC7A24E05316821FACC292",
      "name": "pyempsalspl",
      "kind": "item"
    }
  ]
}
```

object
